Analysis error after Upgrade to 8.9 LTS

Sonarqube Server 8.9.0
SonarQube Scanner 4.0.0.1744

the error is :’ ERROR: /workdir/.scannerwork/.sonartmp/eslint-bridge-bundle/package/node_modules/eslint/lib/cli-engine/cli-engine.js:421"

attached the full logs
log_sonar.txt (2.9 KB)

Hello @darwin
Thanks for reaching out to the community with your problem.
I noticed that you are still on the scanner 4.0 after your upgrade; you should upgrade it to its latest version as part of your SonarQube upgrade (as advised with the SonarQube 8.9 LTS: 3 steps to a smooth upgrade blog post.

Then, you will need to activate verbose level logs for this analysis in order to get more information about this problem potential root cause: as shown in the SonarScanner documentation page, this is done by adding -X , --verbose , or -Dsonar.verbose=true to the SonarScanner command.

Let me know.

Hi Thanks Sylvain,

i change to newest scanner and it’s fine now

1 Like

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.